[arch-commits] Commit in rpmextract/repos/extra-any (6 files)

Tobias Powalowski tpowa at archlinux.org
Wed Feb 8 06:18:26 EST 2012


    Date: Wednesday, February 8, 2012 @ 06:18:26
  Author: tpowa
Revision: 149521

archrelease: copy trunk to extra-any

Added:
  rpmextract/repos/extra-any/PKGBUILD
    (from rev 149520, rpmextract/trunk/PKGBUILD)
  rpmextract/repos/extra-any/rpm2cpio
    (from rev 149520, rpmextract/trunk/rpm2cpio)
  rpmextract/repos/extra-any/rpmextract.sh
    (from rev 149520, rpmextract/trunk/rpmextract.sh)
Deleted:
  rpmextract/repos/extra-any/PKGBUILD
  rpmextract/repos/extra-any/rpm2cpio
  rpmextract/repos/extra-any/rpmextract.sh

---------------+
 PKGBUILD      |   40 ++++++++++++++++++++--------------------
 rpm2cpio      |   52 ++++++++++++++++++++++++++--------------------------
 rpmextract.sh |   12 ++++++------
 3 files changed, 52 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2012-02-08 11:18:05 UTC (rev 149520)
+++ PKGBUILD	2012-02-08 11:18:26 UTC (rev 149521)
@@ -1,20 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=rpmextract
-pkgver=1.0
-pkgrel=4
-pkgdesc="Script to convert or extract RPM archives (contains rpm2cpio)"
-url="http://www.archlinux.org"
-arch=('any')
-license=('GPL')
-depends=('bash' 'libarchive' 'coreutils')
-source=('rpmextract.sh' 'rpm2cpio')
-md5sums=('a7b527e4c210e66ef72532c606072e0d'
-         '57a4e99bedcefadc2f89006ce98d2e60')
-
-package() {
-  install -d ${pkgdir}/usr/bin
-  install -m755 ${srcdir}/rpmextract.sh ${pkgdir}/usr/bin/
-  install -m755 ${srcdir}/rpm2cpio ${pkgdir}/usr/bin/
-}

Copied: rpmextract/repos/extra-any/PKGBUILD (from rev 149520, rpmextract/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2012-02-08 11:18:26 UTC (rev 149521)
@@ -0,0 +1,20 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=rpmextract
+pkgver=1.0
+pkgrel=5
+pkgdesc="Script to convert or extract RPM archives (contains rpm2cpio)"
+url="http://www.archlinux.org"
+arch=('any')
+license=('GPL')
+depends=('bash' 'libarchive' 'coreutils')
+source=('rpmextract.sh' 'rpm2cpio')
+md5sums=('a7b527e4c210e66ef72532c606072e0d'
+         '57a4e99bedcefadc2f89006ce98d2e60')
+
+package() {
+  install -d ${pkgdir}/usr/bin
+  install -m755 ${srcdir}/rpmextract.sh ${pkgdir}/usr/bin/
+  install -m755 ${srcdir}/rpm2cpio ${pkgdir}/usr/bin/
+}

Deleted: rpm2cpio
===================================================================
--- rpm2cpio	2012-02-08 11:18:05 UTC (rev 149520)
+++ rpm2cpio	2012-02-08 11:18:26 UTC (rev 149521)
@@ -1,26 +0,0 @@
-#!/bin/sh
-
-pkg=$1
-if [ "$pkg" = "" -o ! -e "$pkg" ]; then
-  echo "no package supplied" 1>&2
-  exit 1
-fi
-
-leadsize=96
-o=`expr $leadsize + 8`
-set `od -j $o -N 8 -t u1 $pkg`
-il=`expr 256 \* \( 256 \* \( 256 \* $2 + $3 \) + $4 \) + $5`
-dl=`expr 256 \* \( 256 \* \( 256 \* $6 + $7 \) + $8 \) + $9`
-# echo "sig il: $il dl: $dl"
-
-sigsize=`expr 8 + 16 \* $il + $dl`
-o=`expr $o + $sigsize + \( 8 - \( $sigsize \% 8 \) \) \% 8 + 8`
-set `od -j $o -N 8 -t u1 $pkg`
-il=`expr 256 \* \( 256 \* \( 256 \* $2 + $3 \) + $4 \) + $5`
-dl=`expr 256 \* \( 256 \* \( 256 \* $6 + $7 \) + $8 \) + $9`
-# echo "hdr il: $il dl: $dl"
-
-hdrsize=`expr 8 + 16 \* $il + $dl`
-o=`expr $o + $hdrsize`
-
-dd if=$pkg ibs=$o skip=1 2>/dev/null

Copied: rpmextract/repos/extra-any/rpm2cpio (from rev 149520, rpmextract/trunk/rpm2cpio)
===================================================================
--- rpm2cpio	                        (rev 0)
+++ rpm2cpio	2012-02-08 11:18:26 UTC (rev 149521)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+pkg=$1
+if [ "$pkg" = "" -o ! -e "$pkg" ]; then
+  echo "no package supplied" 1>&2
+  exit 1
+fi
+
+leadsize=96
+o=`expr $leadsize + 8`
+set `od -j $o -N 8 -t u1 $pkg`
+il=`expr 256 \* \( 256 \* \( 256 \* $2 + $3 \) + $4 \) + $5`
+dl=`expr 256 \* \( 256 \* \( 256 \* $6 + $7 \) + $8 \) + $9`
+# echo "sig il: $il dl: $dl"
+
+sigsize=`expr 8 + 16 \* $il + $dl`
+o=`expr $o + $sigsize + \( 8 - \( $sigsize \% 8 \) \) \% 8 + 8`
+set `od -j $o -N 8 -t u1 $pkg`
+il=`expr 256 \* \( 256 \* \( 256 \* $2 + $3 \) + $4 \) + $5`
+dl=`expr 256 \* \( 256 \* \( 256 \* $6 + $7 \) + $8 \) + $9`
+# echo "hdr il: $il dl: $dl"
+
+hdrsize=`expr 8 + 16 \* $il + $dl`
+o=`expr $o + $hdrsize`
+
+dd if=$pkg ibs=$o skip=1 2>/dev/null

Deleted: rpmextract.sh
===================================================================
--- rpmextract.sh	2012-02-08 11:18:05 UTC (rev 149520)
+++ rpmextract.sh	2012-02-08 11:18:26 UTC (rev 149521)
@@ -1,6 +0,0 @@
-#!/bin/sh
-if [ "$1" = "" -o ! -e "$1" ]; then
-    echo "no package supplied" 1>&2
-   exit 1
-fi
-rpm2cpio $1 | bsdtar -xf -

Copied: rpmextract/repos/extra-any/rpmextract.sh (from rev 149520, rpmextract/trunk/rpmextract.sh)
===================================================================
--- rpmextract.sh	                        (rev 0)
+++ rpmextract.sh	2012-02-08 11:18:26 UTC (rev 149521)
@@ -0,0 +1,6 @@
+#!/bin/sh
+if [ "$1" = "" -o ! -e "$1" ]; then
+    echo "no package supplied" 1>&2
+   exit 1
+fi
+rpm2cpio $1 | bsdtar -xf -



More information about the arch-commits mailing list